=== debian/changelog ===
pd-cyclone (0.6.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:38:44 +0100

pd-cyclone (0.6.1-1) unstable; urgency=medium

  * Fix version.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 17:09:12 +0100

pd-cyclone (0.6.1-1~exq) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 17:00:43 +0100

pd-cyclone (0.6.1-1~exp) experimental; urgency=medium

  * New upstream version 0.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches (dropping obsolete ones)
  * Drop 'cyclist' package without replacement (abandoned upstream)
  * Switch to dh-sequence-pd-lib-builder
  * Versioned dependency on puredata-core (>=0.52-1)
  * Drop recommends no longer needed (or existing)
  * Update package description
  * Update homepage stanza
  * Update upstream/metadata
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update lintian-overrides
  * Update d/watch to new upstream repository

  [ Debian Janitor ]
  * Update lintian override info to new format on line 6.
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 11:02:03 +0100

pd-cyclone (0.2~beta3-6) unstable; urgency=medium

  * Fix lintian-overrides for newer versions of lintian
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:20:37 +0200
