=== debian/control ===
Source: pd-cyclone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 dh-sequence-pd-lib-builder,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/porres/pd-cyclone
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-cyclone.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-cyclone

Package: pd-cyclone
Architecture: any
Depends:
 puredata-core (>= 0.52.1~),
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Description: Pd library of clones of Max/MSP objects
 Cyclone is a library of PureData classes, bringing some level of
 compatibility between Max/MSP and Pd environments.
 .
 In its current form, cyclone is mainly for people using both Max and
 Pd, and thus wanting to develop cross-platform patches.  In this
 respect, cyclone has much in common with Thomas Grill's flext, and
 flext-based externals.  While flext enables developing new
 cross-platform classes, cyclone makes existing classes cross-platform.
 .
 Cyclone also comes handy, somewhat, in the task of importing Max/MSP
 patches into Pd.  Do not expect miracles, though, it is usually not an
 easy task.
