=== debian/watch ===
# process with uscan(1)
version=4
opts=uversionmangle=s/(alpha|beta)/~$1/;s/^cyclone_//;s/^\.//;s/-/./g,\
     dversionmangle=auto \
  https://github.com/porres/pd-cyclone/tags .*/(cyclone_)?v?(\d\S*)\.tar\.gz
