## pd-cyclone 0.7.0+ds

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,14 @@
 	exe.extension = .exe
 endef
 
-
-
 forLinux   = aliases=true
 
 #######################################################################
                     ## START OF CYCLONE CLASSES ##
 #######################################################################
+
+# CONTROL GUI
+comment.class.sources := cyclone_objects/binaries/control/comment.c
 
 # CONTROL CLASSES
 accum.class.sources := cyclone_objects/binaries/control/accum.c
@@ -32,7 +33,6 @@
 counter.class.sources := cyclone_objects/binaries/control/counter.c
 cosh.class.sources := cyclone_objects/binaries/control/cosh.c
 cycle.class.sources := cyclone_objects/binaries/control/cycle.c
-decide.class.sources := cyclone_objects/binaries/control/decide.c
 decode.class.sources := cyclone_objects/binaries/control/decode.c
 flush.class.sources := cyclone_objects/binaries/control/flush.c
 forward.class.sources := cyclone_objects/binaries/control/forward.c
@@ -72,7 +72,6 @@
 xnotein.class.sources := cyclone_objects/binaries/control/xnotein.c
 xnoteout.class.sources := cyclone_objects/binaries/control/xnoteout.c
 zl.class.sources := cyclone_objects/binaries/control/zl.c
-# NEW ones in cyclone0.3:
 acosh.class.sources := cyclone_objects/binaries/control/acosh.c
 asinh.class.sources := cyclone_objects/binaries/control/asinh.c
 atanh.class.sources := cyclone_objects/binaries/control/atanh.c
@@ -119,7 +118,6 @@
 overdrive~.class.sources := cyclone_objects/binaries/audio/overdrive.c
 peakamp~.class.sources := cyclone_objects/binaries/audio/peakamp.c
 phasewrap~.class.sources := cyclone_objects/binaries/audio/phasewrap.c
-pink~.class.sources := cyclone_objects/binaries/audio/pink.c
 pong~.class.sources := cyclone_objects/binaries/audio/pong.c
 pow~.class.sources := cyclone_objects/binaries/audio/pow.c
 rampsmooth~.class.sources := cyclone_objects/binaries/audio/rampsmooth.c
@@ -218,3 +216,5 @@
 
 hseq := \
 shared/control/mifi.c \
+shared/common/file.c \
+shared/common/grow.c
