=== debian/changelog ===
pd-cyclone (0.7.0+ds-1) unstable; urgency=medium

  * New upstream version 0.7.0+ds
    + Drop patches applied upstream
  * Build for both single and double-precision Pd
  * Add patch that removes useless include causing FTBFS
  * Repack sources
    + Add '+ds' to the repacked version number
    + Exclude generated PDF files from source tarballs
    + Install README.md instead of README.pdf
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Add lintian-overrides for false-positives regarding underlinking
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Jul 2023 09:03:42 +0200
