## pd-cyclone 0.8.0+ds

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,6 @@
 #######################################################################
                     ## START OF CYCLONE CLASSES ##
 #######################################################################
-
-# CONTROL GUI
-comment.class.sources := cyclone_objects/binaries/control/comment.c
 
 # CONTROL CLASSES
 accum.class.sources := cyclone_objects/binaries/control/accum.c
@@ -218,3 +215,7 @@
 shared/control/mifi.c \
 shared/common/file.c \
 shared/common/grow.c
+seq.class.sources := cyclone_objects/binaries/control/seq.c $(hseq)
+
+# New Dependencies:
+
