=== debian/changelog ===
pd-cyclone (0.8.0+ds-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:00:58 +0200

pd-cyclone (0.8.0+ds-1) unstable; urgency=medium

  * New upstream version 0.8.0+ds
    + Update d/patches
    + Drop patches obsoleted upstream
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 16:11:34 +0100
