## pd-cyclone 0.9.0+ds

=== debian/changelog ===
pd-cyclone (0.9.0+ds-2) unstable; urgency=medium

  * Add patch to fix FTBFS with gcc-14 (Closes: #1075369)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 16 Aug 2024 00:33:26 +0200

pd-cyclone (0.9.0+ds-1) unstable; urgency=medium

  * New upstream version 0.9.0+ds
    + Drop patches applied upstream
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 10:53:59 +0200

pd-cyclone (0.8.1+ds-2) unstable; urgency=medium

  * Fix struct member types for Pd64 (Closes: #1073343)
  * Switch to dh-sequence-puredata
  * Add puredata:Provides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 15:43:38 +0200

pd-cyclone (0.8.1+ds-1) unstable; urgency=medium

  * New upstream version 0.8.1+ds
    + Update d/patches
  * Update copyright information
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 23 Apr 2024 08:03:34 +0200
