=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pd-cyclone
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- dh-sequence-pd-lib-builder,
-Standards-Version: 4.6.2
+ dh-sequence-puredata,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/porres/pd-cyclone
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-cyclone.git
@@ -26,6 +25,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Pd library of clones of Max/MSP objects
  Cyclone is a library of PureData classes, bringing some level of
  compatibility between Max/MSP and Pd environments.
