## pd-cyclone 0.9.1%2Bds

=== debian/changelog ===
pd-cyclone (0.9.1+ds-1) unstable; urgency=medium

  * New upstream version 0.9.1+ds
    + Drop patches applied upstream
  * Break older Pd-versions, rather than Depend on a new one

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Aug 2024 20:04:26 +0200
