## pd-cyclone 0.9.1+ds

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Package: pd-cyclone
 Architecture: any
 Depends:
- puredata-core (>= 0.52.1~),
  ${misc:Depends},
  ${puredata:Depends},
  ${shlibs:Depends},
@@ -27,6 +26,8 @@
  ${puredata:Suggests},
 Provides:
  ${puredata:Provides},
+Breaks:
+ puredata-core (<< 0.52.1~),
 Description: Pd library of clones of Max/MSP objects
  Cyclone is a library of PureData classes, bringing some level of
  compatibility between Max/MSP and Pd environments.
