## pd-cyclone 0.9.2+ds

=== debian/changelog ===
pd-cyclone (0.9.2+ds-1) unstable; urgency=medium

  * New upstream version 0.9.2+ds
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Mar 2025 08:45:25 +0100
