=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-buildinfo,
  dh-sequence-puredata,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/porres/pd-cyclone
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-cyclone.git
