## pd-cyclone 0.9.3%2Bds

=== debian/changelog ===
pd-cyclone (0.9.3+ds-1) unstable; urgency=medium

  * New upstream version 0.9.3+ds
  * Drop obsolete build dependency on dh-buildinfo
  * Fix version mangling in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 10:20:50 +0200
