## pd-cyclone 0.9.3+ds

=== Makefile ===
--- 
+++ 
@@ -69,6 +69,37 @@
 xnotein.class.sources := cyclone_objects/binaries/control/xnotein.c
 xnoteout.class.sources := cyclone_objects/binaries/control/xnoteout.c
 zl.class.sources := cyclone_objects/binaries/control/zl.c
+zl.ecils.class.sources := cyclone_objects/binaries/control/zl.c
+zl.group.class.sources := cyclone_objects/binaries/control/zl.c
+zl.iter.class.sources := cyclone_objects/binaries/control/zl.c
+zl.join.class.sources := cyclone_objects/binaries/control/zl.c
+zl.len.class.sources := cyclone_objects/binaries/control/zl.c
+zl.mth.class.sources := cyclone_objects/binaries/control/zl.c
+zl.nth.class.sources := cyclone_objects/binaries/control/zl.c
+zl.reg.class.sources := cyclone_objects/binaries/control/zl.c
+zl.rev.class.sources := cyclone_objects/binaries/control/zl.c
+zl.rot.class.sources := cyclone_objects/binaries/control/zl.c
+zl.sect.class.sources := cyclone_objects/binaries/control/zl.c
+zl.slice.class.sources := cyclone_objects/binaries/control/zl.c
+zl.sort.class.sources := cyclone_objects/binaries/control/zl.c
+zl.sub.class.sources := cyclone_objects/binaries/control/zl.c
+zl.union.class.sources := cyclone_objects/binaries/control/zl.c
+zl.change.class.sources := cyclone_objects/binaries/control/zl.c
+zl.compare.class.sources := cyclone_objects/binaries/control/zl.c
+zl.delace.class.sources := cyclone_objects/binaries/control/zl.c
+zl.filter.class.sources := cyclone_objects/binaries/control/zl.c
+zl.lace.class.sources := cyclone_objects/binaries/control/zl.c
+zl.lookup.class.sources := cyclone_objects/binaries/control/zl.c
+zl.median.class.sources := cyclone_objects/binaries/control/zl.c
+zl.queue.class.sources := cyclone_objects/binaries/control/zl.c
+zl.scramble.class.sources := cyclone_objects/binaries/control/zl.c
+zl.stack.class.sources := cyclone_objects/binaries/control/zl.c
+zl.stream.class.sources := cyclone_objects/binaries/control/zl.c
+zl.sum.class.sources := cyclone_objects/binaries/control/zl.c
+zl.thin.class.sources := cyclone_objects/binaries/control/zl.c
+zl.unique.class.sources := cyclone_objects/binaries/control/zl.c
+zl.indexmap.class.sources := cyclone_objects/binaries/control/zl.c
+zl.swap.class.sources := cyclone_objects/binaries/control/zl.c
 acosh.class.sources := cyclone_objects/binaries/control/acosh.c
 asinh.class.sources := cyclone_objects/binaries/control/asinh.c
 atanh.class.sources := cyclone_objects/binaries/control/atanh.c
@@ -118,7 +149,6 @@
 pong~.class.sources := cyclone_objects/binaries/audio/pong.c
 pow~.class.sources := cyclone_objects/binaries/audio/pow.c
 rampsmooth~.class.sources := cyclone_objects/binaries/audio/rampsmooth.c
-rand~.class.sources := cyclone_objects/binaries/audio/rand.c
 reson~.class.sources := cyclone_objects/binaries/audio/reson.c
 sampstoms~.class.sources := cyclone_objects/binaries/audio/sampstoms.c
 sinh~.class.sources := cyclone_objects/binaries/audio/sinh.c
@@ -169,53 +199,3 @@
 tosymbol.class.sources := cyclone_objects/binaries/control/tosymbol.c $(hgrow)
 append.class.sources := cyclone_objects/binaries/control/append.c $(hgrow)
 clip.class.sources := cyclone_objects/binaries/control/clip.c $(hgrow)
-prepend.class.sources := cyclone_objects/binaries/control/prepend.c $(hgrow)
-thresh.class.sources := cyclone_objects/binaries/control/thresh.c $(hgrow)
-substitute.class.sources := cyclone_objects/binaries/control/substitute.c $(hgrow)
-speedlim.class.sources := cyclone_objects/binaries/control/speedlim.c $(hgrow)
-match.class.sources := cyclone_objects/binaries/control/match.c $(hgrow)
-iter.class.sources := cyclone_objects/binaries/control/iter.c $(hgrow)
-buddy.class.sources := cyclone_objects/binaries/control/buddy.c $(hgrow)
-bondo.class.sources := cyclone_objects/binaries/control/bondo.c $(hgrow)
-pv.class.sources := cyclone_objects/binaries/control/pv.c $(hgrow)
-
-hrandfile := \
-shared/control/rand.c \
-shared/common/file.c
-prob.class.sources := cyclone_objects/binaries/control/prob.c $(hrandfile)
-
-hgui := shared/control/gui.c
-active.class.sources := cyclone_objects/binaries/control/active.c $(hgui)
-mousefilter.class.sources := cyclone_objects/binaries/control/mousefilter.c $(hgui)
-mousestate.class.sources := cyclone_objects/binaries/control/mousestate.c $(hgui)
-
-htree := shared/control/tree.c
-offer.class.sources := cyclone_objects/binaries/control/offer.c $(htree)
-
-htreefile := \
-shared/control/tree.c \
-shared/common/file.c
-funbuff.class.sources := cyclone_objects/binaries/control/funbuff.c $(htreefile)
-
-hrand := shared/control/rand.c
-drunk.class.sources := cyclone_objects/binaries/control/drunk.c $(hrand)
-
-hrandgrow := \
-shared/control/rand.c \
-shared/common/grow.c
-urn.class.sources := cyclone_objects/binaries/control/urn.c $(hrandgrow)
-
-hrandgrowfile := \
-shared/control/rand.c \
-shared/common/grow.c \
-shared/common/file.c
-table.class.sources := cyclone_objects/binaries/control/table.c $(hrandgrowfile)
-
-hseq := \
-shared/control/mifi.c \
-shared/common/file.c \
-shared/common/grow.c
-seq.class.sources := cyclone_objects/binaries/control/seq.c $(hseq)
-
-# New Dependencies:
-
