=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  dh-sequence-puredata,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
