=== debian/watch ===
# process with uscan(1)
version=4
opts=uversionmangle=s/(alpha|beta)/~$1/;s/^cyclone[-_]//;s/^\.//;s/-/./g,\
     repacksuffix=+ds,\
     dversionmangle=auto \
  https://github.com/porres/pd-cyclone/tags .*/(cyclone[-_])?v?(\d\S*)\.tar\.gz
